Bug Hunting Session
Bug 93061 - About dialog needs minimum size
Summary: About dialog needs minimum size
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.0.4 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: About-Dialog
  Show dependency treegraph
 
Reported: 2015-08-01 14:25 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-12-04 16:19 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
master and 5.0 about dialogs (79.26 KB, image/png)
2015-08-01 14:25 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-08-01 14:25:50 UTC
Created attachment 117580 [details]
master and 5.0 about dialogs

When the about dialog is left to rely on the dialog's content to decide its minimum width, you get things like what can be seen in the attachment. This wasnt a major problem with the old logo, but it is a problem with what has replaced it.

On a separate note, shouldnt the libreoffice name and icon appear in the image as well, similar to the splash screen?
Comment 1 Joel Madero 2015-08-01 15:55:44 UTC
I don't understand what it means when you say "is left" 

Also - the second issue is clearly a separate issue which should be in a separate bug and set to NEW - UX-Advise
Comment 2 V Stuart Foote 2015-08-01 16:14:15 UTC
@Jay, *

Letting the dialog resize based on string length of build details (as opposed to a fixed size I assume) really is not a problem.  The dialog is not intended to remain open, and we include the build details as folks prefer for debug and QA work.

Release builds are more concise.

Don't see an issue.
Comment 3 Yousuf Philips (jay) (retired) 2015-08-01 16:42:25 UTC
(In reply to V Stuart Foote from comment #2)
> Letting the dialog resize based on string length of build details (as
> opposed to a fixed size I assume) really is not a problem.  The dialog is
> not intended to remain open, and we include the build details as folks
> prefer for debug and QA work.
> 
> Release builds are more concise.

Over the lifespan of the 4.x release cycle, the dialog has constantly been changing its width (attachment 99720 [details]), which isnt a good thing for consistency. As tinderbox details are not included in the dialog, the width of the dialog is smaller in release builds, though there is ample space for the dialog to be wider.

A smaller dialog means a smaller logo and having a shrunken logo that is height-based as we do now, incomparison to the old width-based LibreOffice logo, is a not a advantage.
Comment 4 V Stuart Foote 2015-08-01 19:42:56 UTC
Again, not seeing this as an issue.

The dialog adjusts in scale to the text that has to fit. As long as the text fits (for the build details, messages, copyright and buttons) it is as it should be. 

Leave it alone.
Comment 5 Cor Nouws 2015-08-01 21:31:25 UTC
If I understand Jay correct, he says with a small width dialog, the new splash screen based logo, becomes too small (height). And that does not look nice.

I think he is correct and see no problem in a minimum width.
Comment 6 Adolfo Jayme 2015-08-02 09:33:22 UTC
(In reply to Cor Nouws from comment #5)
> If I understand Jay correct, he says with a small width dialog, the new
> splash screen based logo, becomes too small (height). And that does not look
> nice.
> 
> I think he is correct and see no problem in a minimum width.

Then fix the graphic element (which is the one that has a problem) and do not mess with the auto-width calculation (which, again, would be introducing an unrelated behavior bug to fix another).
Comment 7 Robinson Tryon (qubit) 2016-08-25 05:39:23 UTC Comment hidden (obsolete)
Comment 8 Heiko Tietze 2017-12-04 16:19:08 UTC
(In reply to Adolfo Jayme from comment #6)
> Then fix the graphic element (which is the one that has a problem) and do
> not mess with the auto-width calculation (which, again, would be introducing
> an unrelated behavior bug to fix another).

The graphic is an SVG image. But I agree with not fiddling around with the size calculation => WFM.